Bug 519734 - screen backlight flickers with intel Xorg driver and intel 4500mhd video
screen backlight flickers with intel Xorg driver and intel 4500mhd video
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: John Feeney
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-08-27 11:32 EDT by Robert M Williams
Modified: 2013-01-10 03:02 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-08 11:01:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci dump (1.97 KB, text/plain)
2009-08-27 11:32 EDT, Robert M Williams
no flags Details
xorg log file (78.36 KB, text/plain)
2009-08-27 11:34 EDT, Robert M Williams
no flags Details

  None (edit)
Description Robert M Williams 2009-08-27 11:32:49 EDT
Created attachment 358895 [details]
lspci dump

Description of problem:
after switch to X the backlight flickers as if defective or power management is constantly adjusting the levels
also use of nomodeset causes screen to go totally blank after the fedora boot progress bar reaches the end (probably during the switch to X)
the nomodeset option also seems to adjust brightness levels in bios as they are reset to the lowest levels each time the nomodeset option is used
finally there is a pronounced lag to mouse movements

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install fedora 12 on laptop with intel 4500mhd graphics
Actual results:
screen flicker, mouse lag, nomodeset issues

Expected results:

Additional info:
the laptop is a dell 1545 and is less than a week old.
display confirmed not defective and the flicker issue is not present in other OS or in BIOS config screens
while the nomodeset problem may be a different issue, since it is affecting backlight levels and the intel video is having backlight flicker issues I am including it for reference
Comment 1 Robert M Williams 2009-08-27 11:34:01 EDT
Created attachment 358896 [details]
xorg log file
Comment 2 Robert M Williams 2009-08-27 12:08:47 EDT
I have noticed that the screen flicker seems to occur when there is additional i/o happening.
if the system is idle with no other i/o then the display is stable.
however if the mouse, keyboard or hard drive are accessed the flicker happens.
Comment 3 Adam Jackson 2009-08-27 15:27:15 EDT
Does this go away if you boot with i915.powersave=0 ?
Comment 4 Robert M Williams 2009-08-27 16:02:21 EDT
(In reply to comment #3)
> Does this go away if you boot with i915.powersave=0 ?  

even though it complains that "i915.powersave=0 is an invalid option. ignoring" at boot it does seem to help
however I then get a gnome kernel failed notice once in the gui.
the oops can be viewed here:
Comment 5 Adam Jackson 2009-08-28 11:50:43 EDT
Alright, that makes this Matthew's bug then.
Comment 6 Bug Zapper 2009-11-16 06:46:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
Comment 7 Orlando Arias 2009-12-08 10:33:11 EST
Confirm bug with the following adapter:

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device 20e4
	Flags: bus master, fast devsel, latency 0, IRQ 29
	Memory at fd400000 (64-bit, non-prefetchable) [size=4M]
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at 5c00 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915
	Kernel modules: i915
Comment 8 Matthew Garrett 2009-12-08 11:01:40 EST
The powersave code was disabled, so any flickering is due to something else. Could you please file a separate bug?

Note You need to log in before you can comment on or make changes to this bug.